<?php

/**
 * Config object for sare connector
 *
 * @link       https://sare.pl/
 * @since      1.0.0
 *
 * @package    Sare_Wp
 * @subpackage Sare_Wp/includes
 */

/**
 * Config object for sare connector
 *
 *
 * @package    Sare_Wp
 * @subpackage Sare_Wp/includes
 * @author     Sare <hello@sare.pl>
 */
class Sare_Wp_Config_Object
{

    /**
     * @var null|string
     */
    private $uid;

    /**
     * @var null|string
     */
    private $apiKey;

    /**
     * @var null|integer
     */
    private $interface;

    /**
     * @var bool
     */
    private $doubleOptIn = false;

    public function __construct(array $response)
    {
        $this->uid = $response['uid'] ?? null;
        $this->apiKey = $response['apiKey'] ?? null;
        $this->interface = isset($response['interface']) ? (int) $response['interface'] : null;
        $this->doubleOptIn = $response['doubleOptIn'] ?? false;
    }

    /**
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uid;
    }

    /**
     * @return string|null
     */
    public function getApiKey()
    {
        return $this->apiKey;
    }

    /**
     * @return int|null
     */
    public function getInterface(): ?int
    {
        return $this->interface;
    }

    /**
     * @return bool
     */
    public function isDoubleOptIn()
    {
        return $this->doubleOptIn;
    }

}
